var express = require("@runkit/runkit/express-endpoint/1.0.0");
var bodyParser = require('body-parser')
var cors = require('cors')
var zlib = require('zlib')
var app = express(exports);

app.use(cors())
app.use(function(req, res, next) {
  req.rawBody = '';
  req.setEncoding('utf8');

  req.on('data', function(chunk) { 
    req.rawBody += chunk;
  });

  req.on('end', function() {
    next();
  });
});
app.post("/", (req, res) => {
  // res.set('Content-Type', 'application/octet-stream')
  res.send(zlib.gunzipSync(new Buffer(req.rawBody, "binary")).toString())
});
